<?php declare(strict_types=1);

namespace SwagGuidedShopping\Exception;

class ErrorCode
{
    public const GUIDED_SHOPPING__ROOM_CREATE_EXCEPTION = 'GUIDED_SHOPPING__ROOM_CREATE_EXCEPTION';
    public const GUIDED_SHOPPING__ROOM_CREATE_VIOLATION = 'GUIDED_SHOPPING__ROOM_CREATE_VIOLATION';
    public const GUIDED_SHOPPING__ROOM_UPDATE_EXCEPTION = 'GUIDED_SHOPPING__ROOM_UPDATE_EXCEPTION';
    public const GUIDED_SHOPPING__ROOM_UPDATE_VIOLATION = 'GUIDED_SHOPPING__ROOM_UPDATE_VIOLATION';
    public const GUIDED_SHOPPING__ROOM_DELETE_EXCEPTION = 'GUIDED_SHOPPING__ROOM_DELETE_EXCEPTION';
    public const GUIDED_SHOPPING__ROOM_DELETE_VIOLATION = 'GUIDED_SHOPPING__ROOM_DELETE_VIOLATION';
    public const GUIDED_SHOPPING__INTERACTION_ADD_VIOLATION = 'GUIDED_SHOPPING__INTERACTION_ADD_VIOLATION';
    public const GUIDED_SHOPPING__REQUIRED_RIGHTS_NOT_GRANTED = 'GUIDED_SHOPPING__REQUIRED_RIGHTS_NOT_GRANTED';
    public const GUIDED_SHOPPING__APPOINTMENT_COULD_NOT_CREATE_VIDEO_ROOM = 'GUIDED_SHOPPING__APPOINTMENT_COULD_NOT_CREATE_VIDEO_ROOM';
    public const GUIDED_SHOPPING__MERCURE_PUBLISH_VIOLATION = 'GUIDED_SHOPPING__MERCURE_PUBLISH_VIOLATION';
    public const GUIDED_SHOPPING__INTERACTION_ADD_PAYLOAD_VIOLATION = 'GUIDED_SHOPPING__INTERACTION_ADD_PAYLOAD_VIOLATION';
    public const GUIDED_SHOPPING__JOIN_AS_GUIDE_VIOLATION = 'GUIDED_SHOPPING__JOIN_AS_GUIDE_VIOLATION';
    public const GUIDED_SHOPPING__JOIN_AS_GUIDE_MISSING_PERMISSIONS = 'GUIDED_SHOPPING__JOIN_AS_GUIDE_MISSING_PERMISSIONS';
    public const GUIDED_SHOPPING__NOT_AUTHENTICATED = 'GUIDED_SHOPPING__NOT_AUTHENTICATED';
    public const GUIDED_SHOPPING__ATTENDEE_NOT_FOUND = 'GUIDED_SHOPPING__ATTENDEE_NOT_FOUND';
    public const GUIDED_SHOPPING__ATTENDEE_COULD_NOT_BE_CREATED = 'GUIDED_SHOPPING__ATTENDEE_COULD_NOT_BE_CREATED';
    public const GUIDED_SHOPPING__ATTENDEE_MISSING_APPOINTMENT = 'GUIDED_SHOPPING__ATTENDEE_MISSING_APPOINTMENT';
    public const GUIDED_SHOPPING__ATTENDEE_MISSING_PRESENTATION = 'GUIDED_SHOPPING__ATTENDEE_MISSING_PRESENTATION';
    public const GUIDED_SHOPPING__ATTENDEE_INVITATION_STATUS_INVALID_REQUEST_PATAMETER = 'GUIDED_SHOPPING__ATTENDEE_INVITATION_STATUS_INVALID_REQUEST_PATAMETER';
    public const GUIDED_SHOPPING__APPOINTMENT_NOT_FOUND = 'GUIDED_SHOPPING__APPOINTMENT_NOT_FOUND';
    public const GUIDED_SHOPPING__APPOINTMENT_NOT_YET_ACCESSIBLE = 'GUIDED_SHOPPING__APPOINTMENT_NOT_YET_ACCESSIBLE';
    public const GUIDED_SHOPPING__APPOINTMENT_NOT_STARTED = 'GUIDED_SHOPPING__APPOINTMENT_NOT_STARTED';
    public const GUIDED_SHOPPING__INVALID_APPOINTMENT_URL = 'GUIDED_SHOPPING__INVALID_APPOINTMENT_URL';
    public const GUIDED_SHOPPING__APPOINTMENT_AUTH_FORBIDDEN = 'GUIDED_SHOPPING__APPOINTMENT_AUTH_FORBIDDEN';
    public const GUIDED_SHOPPING__APPOINTMENT_ALREADY_STARTED = 'GUIDED_SHOPPING__APPOINTMENT_ALREADY_STARTED';
    public const GUIDED_SHOPPING__APPOINTMENT_ALREADY_ENDED = 'GUIDED_SHOPPING__APPOINTMENT_ALREADY_ENDED';
    public const GUIDED_SHOPPING__GUIDE_CART_PERMISSIONS_NOT_GRANTED = 'GUIDED_SHOPPING__GUIDE_CART_PERMISSIONS_NOT_GRANTED';
    public const GUIDED_SHOPPING__TOKEN_FOR_ATTENDEE_NOT_FOUND = 'GUIDED_SHOPPING__TOKEN_FOR_ATTENDEE_NOT_FOUND';
    public const GUIDED_SHOPPING__APPOINTMENT_PRESENTATION_NOT_SET = 'GUIDED_SHOPPING__APPOINTMENT_PRESENTATION_NOT_SET';
    public const GUIDED_SHOPPING__APPOINTMENT_IS_SELF_MODE = 'GUIDED_SHOPPING__APPOINTMENT_IS_SELF_MODE';
    public const GUIDED_SHOPPING__APPOINTMENT_IS_PREVIEW = 'GUIDED_SHOPPING__APPOINTMENT_IS_PREVIEW';
    public const GUIDED_SHOPPING__GUIDE_NOT_IDENTIFIED_BY_USER_ID = 'GUIDED_SHOPPING__GUIDE_NOT_IDENTIFIED_BY_USER_ID';
    public const GUIDED_SHOPPING__APPOINTMENT_JOIN_INVALID_REQUEST_PATAMETER = 'GUIDED_SHOPPING__APPOINTMENT_JOIN_INVALID_REQUEST_PATAMETER';
    public const GUIDED_SHOPPING__APPOINTMENT_AUTH_RULE_NOT_SET = 'GUIDED_SHOPPING__APPOINTMENT_AUTH_RULE_NOT_SET';
    public const GUIDED_SHOPPING__APPOINTMENT_AUTH_MODE_NOT_SET = 'GUIDED_SHOPPING__APPOINTMENT_AUTH_MODE_NOT_SET';
    public const GUIDED_SHOPPING__VIDEO_CHAT_ENTITY_NOT_FOUND = 'GUIDED_SHOPPING__VIDEO_CHAT_ENTITY_NOT_FOUND';
    public const GUIDED_SHOPPING__VIDEO_CHAT_COULD_NOT_CREATE_ROOM = 'GUIDED_SHOPPING__VIDEO_CHAT_COULD_NOT_CREATE_ROOM';
    public const GUIDED_SHOPPING__APPOINTMENT_LIKE_PRODUCT_VIOLATION = 'GUIDED_SHOPPING__APPOINTMENT_LIKE_PRODUCT_VIOLATION';
    public const GUIDED_SHOPPING__APPOINTMENT_NO_SALES_CHANNEL_DOMAIN_MAPPED = 'GUIDED_SHOPPING__APPOINTMENT_NO_SALES_CHANNEL_DOMAIN_MAPPED';
    public const GUIDED_SHOPPING__ROUTE_ALIAS_NOT_FOUND = 'GUIDED_SHOPPING__ROUTE_ALIAS_NOT_FOUND';
    public const GUIDED_SHOPPING__CREATE_INTERACTION_PAYLOAD_HANDLER_NOT_FOUND = 'GUIDED_SHOPPING__CREATE_INTERACTION_PAYLOAD_HANDLER_NOT_FOUND';
    public const GUIDED_SHOPPING__INTERACTION_NOT_ALLOWED = 'GUIDED_SHOPPING__INTERACTION_NOT_ALLOWED';
    public const GUIDED_SHOPPING__INTERACTION_NOT_SUPPORTED = 'GUIDED_SHOPPING__INTERACTION_NOT_SUPPORTED';
    public const GUIDED_SHOPPING__INVALID_PARAMETER = 'GUIDED_SHOPPING__INVALID_PARAMETER';
    public const GUIDED_SHOPPING__PRESENTATION_NOT_FOUND = 'GUIDED_SHOPPING__PRESENTATION_NOT_FOUND';
    public const GUIDED_SHOPPING__SALES_CHANNEL_CONTEXT_MISSING_ATTENDEE = 'GUIDED_SHOPPING__SALES_CHANNEL_CONTEXT_MISSING_ATTENDEE';
    public const GUIDED_SHOPPING__PRODUCT_PAGE_LOAD_INVALID_REQUEST_PARAMETER = 'GUIDED_SHOPPING__PRODUCT_PAGE_LOAD_INVALID_REQUEST_PARAMETER';

    public const INVITATION_EMAIL_SENDING_ERROR = 'INVITATION_EMAIL_SENDING_ERROR';
    public const INVITATION_EMAIL_SENDING_TIME_ERROR = 'INVITATION_EMAIL_SENDING_TIME_ERROR';
    public const GUIDED_SHOPPING__ALIAS_NOT_FOUND = 'GUIDED_SHOPPING__ALIAS_NOT_FOUND';
}
